# Device doze mode set state

An action block that activates or deactivates device idle “doze” mode.

The fiber will proceed immediately without pause.

This block only makes the device enter or exit “doze” mode, it doesn’t enable or disable the “doze” feature.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `dumpsys deviceidle <enable|force-idle>` to activate and `dumpsys battery reset` to deactivate.

Note! This feature isn’t officially supported, requires Android 6+ and the privileged service, may not work on all devices.

## Input arguments

- Device doze mode — whether to activate or deactivate “doze” mode, default is deactivate.